<?xml version="1.0"?>
<!--
Test attributeGroup declaration with optional attribute id='a'
-->
 
<xsd:schema xmlns:xsd='http://www.w3.org/2001/XMLSchema' >

	<xsd:attribute name="att1" type="xsd:string"/>
	<xsd:attribute name="att2" type="xsd:string"/>

	<xsd:attributeGroup name="abc" id="abc">
	</xsd:attributeGroup>

	<xsd:attributeGroup name="xyz">
		<xsd:attributeGroup ref="abc" id="xyz" />
	</xsd:attributeGroup>

</xsd:schema>
